net.i2p.router.peermanager

## Class SpeedComparator

- java.lang.Object
- - net.i2p.router.peermanager.SpeedComparator

- All Implemented Interfaces:
    Comparator<PeerProfile>

       class SpeedComparator
      extends Object
      implements Comparator<PeerProfile>

  Order profiles by their speed (lowest first).
  Since:
    0.7.10

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpeedComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(PeerProfile left, PeerProfile right)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### SpeedComparator

          SpeedComparator()

  - ### Method Detail

    - #### compare

          public int compare(PeerProfile left,
                    PeerProfile right)

      Specified by:
        `compare` in interface `Comparator<PeerProfile>`